%time is days
close all;
clear all;

beta = 1/5;
mu = 1/12;
lambda = 1/(70*365);


x0 = 1e-5;
s0 = 1-x0;
r0 = 0;

MaxTime = 300;
TimeAxis = 0:MaxTime;
DeltaT = 1;

s=zeros(1,MaxTime+1);
x=zeros(1,MaxTime+1);
r=zeros(1,MaxTime+1);

s(1) = s0;
x(1) = x0;
r(1) = r0;

for t=1:MaxTime,
    s(t+1) = s(t) - beta/DeltaT * s(t) * x(t) * DeltaT + lambda * (1-s(t));
    x(t+1) = x(t) + beta * s(t) * x(t) - mu * x(t) - lambda * x(t);
    r(t+1) = r(t) + mu * x(t) - lambda * r(t);
end;

figure(1);
hold on;
plot(TimeAxis,s,'k');
plot(TimeAxis,x,'r');
plot(TimeAxis,r,'b');

