%time is months
close all;
clear all;

beta = 3.2;
mu = 1;
lambda = 1/(70*12);

x0 = 1e-5;
s0 = 1-x0;
r0 = 0;

MaxTime = 60;
TimeAxis = 0:MaxTime;

sw=zeros(1,MaxTime+1);
xw=zeros(1,MaxTime+1);
rw=zeros(1,MaxTime+1);

sw(1) = s0;
xw(1) = x0;
rw(1) = r0;

for t=1:MaxTime,
    sw(t+1) = sw(t) - beta * sw(t) * xw(t) + lambda * (1-sw(t));
    xw(t+1) = xw(t) + beta * sw(t) * xw(t) - mu * xw(t) - lambda * xw(t);
    rw(t+1) = rw(t) + mu * xw(t) - lambda * rw(t);
end;

figure(1);
hold on;
plot(TimeAxis,sw,'k');
plot(TimeAxis,xw,'r');
plot(TimeAxis,rw,'b');


DeltaT = 30;
b = beta/DeltaT;
m = mu/DeltaT;
l = lambda/DeltaT;
MaxT = MaxTime*DeltaT;
Time = 0:MaxT;


s=zeros(1,MaxT+1);
x=zeros(1,MaxT+1);
r=zeros(1,MaxT+1);

s(1) = s0;
x(1) = x0;
r(1) = r0;

for t=1:MaxT,
    s(t+1) = s(t) - b * s(t) * x(t) + l * (1-s(t));
    x(t+1) = x(t) + b * s(t) * x(t) - m * x(t) - l * x(t);
    r(t+1) = r(t) + m * x(t) - l * r(t);
end;

su = s(1:DeltaT:MaxT+1);
xu = x(1:DeltaT:MaxT+1);
ru = r(1:DeltaT:MaxT+1);

figure(2);
hold on;
plot(Time,s,'k');
plot(Time,x,'r');
plot(Time,r,'b');




figure(3);
hold on;
plot(TimeAxis,sw,'k');
plot(TimeAxis,xw,'r');
plot(TimeAxis,rw,'b');
plot(TimeAxis,su,'k--');
plot(TimeAxis,xu,'r--');
plot(TimeAxis,ru,'b--');